require 'bot_mob'

# FizzBuzz Bot Usage:
#
#    FizzBuzzBot.new.receive('15') #=> "FizzBuzz"
class FizzBuzzBot < BotMob::Bot
  def respond?(message)
    message.body.to_i.to_s == message.body
  end

  def respond(message)
    fizz_buzz(message.body.to_i)
  end

  private

  def fizz_buzz(number)
    if multiple?(number, 3) && multiple?(number, 5)
      'FizzBuzz'
    elsif multiple?(number, 3)
      'Fizz'
    elsif multiple?(number, 5)
      'Buzz'
    end
  end

  def multiple?(number, n)
    (number % n).zero?
  end
end
