# coding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'bot_mob/version'

Gem::Specification.new do |spec|
  spec.name          = 'bot_mob'
  spec.version       = BotMob::VERSION
  spec.authors       = ['Matthew Werner']
  spec.email         = ['m@mjw.io']

  spec.summary       = 'The bot mob framework'
  spec.description   = 'Easily create and manage bots'
  spec.homepage      = 'https://github.com/mwerner/bot_mob'
  spec.license       = 'MIT'

  spec.files         = `git ls-files -z`.split("\x0").reject do |f|
    f.match(%r{^(test|spec|features)/})
  end
  spec.bindir        = 'exe'
  spec.executables   = spec.files.grep(%r{^exe/}) { |f| File.basename(f) }
  spec.require_paths = ['lib']

  spec.add_dependency 'sinatra', '~> 2.0.7'
  spec.add_dependency 'slack-ruby-client', '~> 0.14.4'

  spec.add_development_dependency 'bundler', '~> 1.12'
  spec.add_development_dependency 'rake', '~> 10.0'
  spec.add_development_dependency 'rspec', '~> 3.0'
  spec.add_development_dependency 'dotenv', '~> 2.1'
  spec.add_development_dependency 'rubocop', '~> 0.45'
  spec.add_development_dependency 'simplecov', '~> 0.12'
  spec.add_development_dependency 'webmock', '~> 1.22'
end
